Перейти к основному содержанию
POST
/
kling
/
v1
/
videos
/
multi-elements
/
init-selection
curl --request POST \
  --url https://api.cometapi.com/kling/v1/videos/multi-elements/init-selection \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "video_id": "784912347344945152",
  "task_id": "784912347277836288"
}
'
{
  "code": 123,
  "message": "<string>",
  "data": {
    "session_id": "<string>"
  }
}
Используйте этот endpoint, чтобы открыть сессию редактирования видео и получить session_id, необходимый для всех последующих шагов Multimodal-редактирования.

Выберите один путь входных данных

  • Видео, сгенерированное в Kling: отправьте video_id и родительский task_id
  • Внешнее или уже размещённое видео: отправьте video_url
  • Не отправляйте оба варианта входных данных одновременно

Роль в рабочем процессе

1

Инициализируйте сессию

Отправьте исходный клип и сохраните возвращённый session_id.
2

Отметьте точки выделения

Продолжите с Add Video Selection, чтобы определить область, которую вы хотите отредактировать.
3

Отправьте финальную задачу редактирования

После того как выделение будет готово, перейдите к Create Task.
Полное описание параметров см. в документации Kling API.

Авторизации

Authorization
string
header
обязательно

Bearer token authentication. Use your CometAPI key.

Тело

application/json
video_id
string
по умолчанию:784912347344945152
обязательно

The video ID generated by Kling; choose either this or video_url, they cannot be passed simultaneously. Select the video to be edited from historical works using the video ID. Only supports video works generated within the last 30 days; only supports videos with a duration of ≥2 seconds and ≤5.5 seconds, or ≥7 seconds and ≤10.5 seconds. Related to the video_url parameter, they cannot both be empty or both have values.

task_id
string
по умолчанию:784912347277836288
обязательно

When passing video_id, the task_id from when the video was generated must also be passed.

video_url
string
по умолчанию:https://v15-kling.klingai.com/bs2/upload-ylab-stunt-sgp/se/stream_lake_m2v_img2video_multi_id_v16_std/aa12ae6e-450d-4f36-b2d0-74376b313268_raw_video.mp4?x-kcdn-pid=112372

The URL to get the video. When uploading, pass the video download link. When editing a selection, pass the video URL returned by the interface.

Only supports MP4 and MOV formats. Only supports videos with a duration of ≥2 seconds and ≤5.5 seconds, or ≥7 seconds and ≤10.5 seconds. The width and height dimensions of the video must be between 720px (inclusive) and 2160px (inclusive). Only supports uploading videos at 24, 30, or 60 fps. Related to the video_id parameter, they cannot both be empty or both have values.

Ответ

200 - application/json

Session initialized.

code
integer
обязательно
message
string
обязательно
data
object
обязательно